let db = wx.cloud.database()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    list: []

  },
  tovotecontent(e) {
    let id =  e.currentTarget.dataset.id;
    wx.navigateTo({
      url: '/pages/voteContent/index?id='+id,
    })
},
  // 获取关注列表
  getlist() {
    var that = this
    for (var i = 0; i < 20; i++) {
      var list = []
      db.collection("Vote").skip(i).limit(5).get()
        .then(res => {
            for (var i = 0; i < res.data.length; i++) {
                let first = true
                for (var a = 0; a < res.data[i].options.length; a++) {
          
                  if (res.data[i].options[a].votelist.length != 0) {
                    for (var k = 0; k < res.data[i].options[a].votelist.length; k++) {
                      if (res.data[i].options[a].votelist[k].openid == wx.getStorageSync('openid') && first) {
                        that.setData({
                          list: that.data.list.concat(res.data[i])
                        })
                        first = false
                      }
          
          
                    }
                  }
                }
              }
              if(res.data.length==20){
                  that.getlist()
              }
        })
     

    }




  },

  tovotecontent(e) {
    let id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: '/pages/voteContent/index?id=' + id,
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getlist()

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})